//- - var text = { warning: "{warning}", scamWarningTitle: "{scamWarningTitle}", scamWarning: "{scamWarning}", greeting: "{greeting}", title: "{title}", content: "{content}", contactTitle: "{contactTitle}", accountName: "{accountName}", accountEmail: "{accountEmail}", contactContent: "{contactContent}", orderTitle: "您的訂單", company: "外送餐聽", date: "送餐時間", code: "訂單編號", price: "餐點金額", delivery: "運費", invoice: "{invoice}", invoiceDonation: "{invoiceDonation}", companyName: "{companyName}", taxNumber: "{taxNumber}", viewOrder: "{viewOrder}", invoiceDesc: "{invoiceDesc}", desc : "{desc}"};
- var order = { partnerInfo: { restaurant: { companyName: "{companyName}" } }, reservationTime: "{YYYY/MM/DD HH:mm:ss}" ,uniNum: "{uniNum}",payments: [{ amount: "{amount}", delivery: "{delivery}" }], link: "{link}" };

mjml
  include ./include/email_header.pug
  mj-body(background-color="#f3f4f5")
    mj-wrapper(padding="0 20px 0")
      // Header/Logo
      mj-section(padding="0")
        mj-column
          mj-image(padding="40px 0 30px" width="178" src=`${siteurl}/static/images/email/logo.png`)
          mj-divider(mj-class="divider")
      // warning
      mj-section(padding="0")
        mj-column
          mj-text(padding-top="12px" padding-bottom="12px" align="center" color="#de0716") !{text.warning}
      // scam warning
      mj-section(padding="0" padding-bottom="12px" padding-top="12px")
        mj-column
          mj-text(align="center" color="#de0716") !{text.scamWarningTitle}
          mj-text(align="center") !{text.scamWarning}
      // Hello Message
      mj-section(padding="0")
        mj-column
          mj-text(padding-top="30px" mj-class="small" align="center") !{text.greeting}
          // Title
          mj-text(padding-top="20px" font-weight="500" line-height="42px" align="center" font-size="30px") !{text.title}
          // Main Content
          mj-text(padding-top="20px" padding-bottom="40px") !{text.content}
          mj-divider(mj-class="divider" padding-bottom="20px")

      - if (contact) {
        // Contact
        mj-section(padding="0")
          mj-column
            mj-text(padding-bottom="10px") !{text.contactTitle}
        mj-section(mj-class="border radius-top" padding-bottom="0")
          mj-column(mj-class="border-inner radius-top")
            mj-table(mj-class="order-table")
              tr.order-row
                td !{text.accountName}
                td(style="text-align: right") !{contact.name}
              tr.order-row
                td #{text.accountEmail}
                td(style="text-align: right") !{contact.email}
        mj-section(mj-class="border radius-bottom")
          mj-column(mj-class="border-inner radius-bottom")
            mj-text(mj-class="small" color="#4f5564" padding-top="5px") !{text.contactContent}
            mj-text(mj-class="small" color="#4f5564" padding-top="5px" padding-bottom="10px" line-height="18px") !{contact.content}
        mj-section(padding-bottom="20px")
      - }

      - if (order) {
        // Order
        mj-section(padding="0")
          mj-column
            mj-text(padding-bottom="10px") !{text.orderTitle}
        mj-section(mj-class="border radius")
          mj-column(mj-class="border-inner radius")
            mj-table(mj-class="order-table")
              tr.order-row
                td !{text.company}
                td(style="text-align: right") !{order.partnerInfo.restaurant.companyName}
              tr.order-row
                td #{text.date}
                td(style="text-align: right") !{order.reservationTime}
              tr.order-row
                td #{text.code}
                td(style="text-align: right") !{'#' + order.uniNum}
              tr.order-row
                td #{text.price}
                td(style="text-align: right") !{order.payments[0].amount}
              tr.order-row
                td #{text.delivery}
                td(style="text-align: right") !{order.payments[0].delivery}
              - if (invoice) {
                - if (invoice.invoiceNumber) {
                  tr.order-row
                    td #{text.invoice}
                    td(style="text-align: right") !{invoice.invoiceNumber}
                - }
                tr.order-row
                  td #{text.invoiceDonation}
                  td(style="text-align: right") !{invoice.donation}
                - if (invoice.companyName) {
                  tr.order-row
                    td #{text.companyName}
                    td(style="text-align: right") !{invoice.companyName}
                - }
                - if (invoice.vat) {
                  tr.order-row
                    td #{text.taxNumber}
                    td(style="text-align: right") !{invoice.vat}
                - }
              - }
      - }
      mj-section(padding="0")
        mj-column
          mj-button(mj-class="button" href=order.link) !{text.viewOrder}
      // invoice
      - if (invoice) {
        mj-section(padding="0")
          mj-column
            mj-text !{text.invoiceDesc}
      - }
      // desc
      - if (text.desc) {
        mj-section(padding="0")
          mj-column
            mj-text !{text.desc}
      - }
      // footer
      mj-section(padding="0")
        mj-column
          mj-image(padding="88px 0 8px" width="80" src=`${siteurl}/static/images/email/logo.png`)
          mj-text(color="#9da6b9" font-size="12px" align="center" line-height="1.3em" padding-bottom="20px")
            | © Copyright 2018
            br
            | SHIN KONG MITSUKOSHI.
